Content.makeFrontInterface(600, 600);

//change samplemaps---
const var Samplers = [Synth.getSampler("Sampler1"),
					  Synth.getSampler("Sampler2"),
					  Synth.getSampler("Sampler3")];
					  
const var Panel1 = Content.getComponent("Panel1");

const var Panel2 = Content.getComponent("Panel2");


const var allMaps = Sampler.getSampleMapList();

const var cmbSampleMaps = Content.getComponent("cmbSampleMaps");

inline function oncmbSampleMapsControl(component, value)
{	
	//setKeyColours-------

	for (i = 0; i < 128; i++)
		{
			Engine.setKeyColour(i, Colours.withAlpha(Colours.black, 0.3));
		};

	local offset = (value -1) * 3;	
	for (i = 0; i < 3; i++)
	{
		local sm = allMaps[i + offset];	
		Samplers[i].loadSampleMap(sm);
	}
	if (value == 1){
		Panel1.set("visible", 1);
		Panel2.set("visible", 0);
		local Ens = [36, 37, 38];			   	
				for (i = 0; i < Ens.length; i++)
					{
						Engine.setKeyColour(Ens[i], 0x500000FF);
					};
	}
	if (value == 2){
		Panel1.set("visible", 0);
		Panel2.set("visible", 1);
		local samplekeys = [40, 43, 48];		   	
		for (i = 0; i < samplekeys.length; i++)
			{
				Engine.setKeyColour(samplekeys[i], Colours.withAlpha(Colours.green, 0.3));
			};
					
	}
	
}
Content.getComponent("cmbSampleMaps").setControlCallback(oncmbSampleMapsControl);


//btn
const var Button1 = Content.getComponent("Button1");

reg eventId;

inline function onButton1Control(component, value)
{
	if (value){
		eventId = Synth.playNote(36, 100);
		Engine.setKeyColour(36, 0x800000FF);
	}
	else
			Engine.setKeyColour(36, 0x500000FF);
};

Content.getComponent("Button1").setControlCallback(onButton1Control);


function onNoteOn()
{
	if  (Message.getNoteNumber() == 36){
			Button1.setValue(1);
	}
}
 function onNoteOff()
{
	if  (Message.getNoteNumber() == 36){
			Button1.setValue(0);
	}
}
 function onController()
{
	
}
 function onTimer()
{
	
}
 function onControl(number, value)
{
	
}
 